<%- include("partials/header") %>

    <section class="register p-2">
      <ul class="nav justify-content-between px-2 text-center">
        <li class="nav-item flex-fill mx-1 in-progress active">
          <a class="nav-link active" id="pics-tab" data-toggle="tab" href="#pics" role="tab" aria-controls="pics" aria-selected="true">تصاویر</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="address-tab" data-toggle="tab" href="#address" role="tab" aria-controls="address" aria-selected="false">موقعیت</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="house-details-tab" data-toggle="tab" href="#houseDetails" role="tab" aria-controls="houseDetails" aria-selected="false">نوع محل</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="space-tab" data-toggle="tab" href="#space" role="tab" aria-controls="space" aria-selected="false">متراژ و ظرفیت</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="place-details-tab" data-toggle="tab" href="#placeDetails" role="tab" aria-controls="placeDetails" aria-selected="false">بافت</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="facilities-tab" data-toggle="tab" href="#facilities" role="tab" aria-controls="facilities" aria-selected="false">امکانات</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="rules-tab" data-toggle="tab" href="#rules" role="tab" aria-controls="rules" aria-selected="false">قوانین خانه</a>
        </li>
        <li class="nav-item flex-fill mx-1 text-center">
          <a class="nav-link disabled" tabindex="-1" aria-disabled="true" id="price-tab" data-toggle="tab" href="#price" role="tab" aria-controls="price" aria-selected="false">قیمت</a>
        </li>
      </ul>
      <div class="tab-content mx-auto w-50 py-4" id="registerTabContent">
        <div class="tab-pane fade show active" id="pics" role="tabpanel" aria-labelledby="pics-tab">
          <div class="register-uploaded-pics row mb-3" dir="ltr">
            <div class="col-3 no-pic">
              <label class="plus-icon-container w-100 text-center cursor-pointer" for="house-image-input">
                <i class="fas fa-plus-circle"></i>
              </label>
            </div>
          </div>
          <form>
            <div class="custom-file">
              <input type="file" class="custom-file-input cursor-pointer" id="house-image-input" multiple="true" onchange="houseImageUploaded(event);">
              <label class="custom-file-label" for="house-image-input">Choose file</label>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="address" role="tabpanel" aria-labelledby="address-tab">
          <form class="text-right">
            <div class="row">
              <div class="col-6">
                <div class="form-group">
                  <label>عنوان آگهی</label>
                  <input type="text" class="form-control" name="title" onkeyup="validCheck(event, 'address');">
                </div>
              </div>
              <div class="col-6">
                <div class="form-group">
                  <label>استان</label>
                  <select class="custom-select region-select" onchange="validCheck(event, 'address');">
                    <option selected>استان</option>
                    <% for (i = 0; i < pageData.regions.length; i++) { %>
                      <option value="<%= pageData.regions[i] %>"><%= pageData.regions[i] %></option>
                    <% } %>
                  </select>
                </div>
              </div>
              <div class="col-6">
                <div class="form-group">
                  <label>شهر</label>
                  <input type="text" class="form-control" name="city" onkeyup="validCheck(event, 'address');">
                </div>
              </div>
              <div class="col-6">
                <div class="form-group">
                  <label>روستا</label>
                  <input type="text" class="form-control" name="village" onkeyup="validCheck(event, 'address');">
                </div>
              </div>
              <div class="col-12">
                <div class="form-group">
                  <label>آدرس</label>
                  <textarea class="form-control" name="address" onkeyup="validCheck(event, 'address');"></textarea>
                </div>
              </div>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="houseDetails" role="tabpanel" aria-labelledby="house-details-tab">
          <form class="text-right">
            <div class="form-group">
              <label>نوع ساختمان</label>
              <select class="custom-select house-kind-select" onchange="validCheck(event, 'houseDetails');">
                <option selected>نوع ساختمان</option>
                <option value="villa">ویلایی</option>
                <option value="apartment">آپارتمان</option>
                <option value="studio">سوییت</option>
                <option value="naturehouse">بوم‌گردی</option>
              </select>
            </div>
            <div class="row mr-3 my-5">
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="exclusive" name="exclusive" onchange="validCheck(event, 'houseDetails');">
                <label class="custom-control-label" for="exclusive">دربست</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="in-town" name="in-town" onchange="validCheck(event, 'houseDetails');">
                <label class="custom-control-label" for="in-town">داخل شهرک</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="with-janitor" name="with-janitor" onchange="validCheck(event, 'houseDetails');">
                <label class="custom-control-label" for="with-janitor">سرایداری</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="shared-yard" name="shared-yard" onchange="validCheck(event, 'houseDetails');">
                <label class="custom-control-label" for="shared-yard">حیاط - مشترک</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="exclusive-yard" name="exclusive-yard" onchange="validCheck(event, 'houseDetails');">
                <label class="custom-control-label" for="exclusive-yard">حیاط - در اختیار</label>
              </div>
            </div>
            <div class="form-group mt-3">
              <label>درباره‌ی خانه</label>
              <textarea class="form-control" name="about-house"></textarea>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="space" role="tabpanel" aria-labelledby="space-tab">
          <form class="text-center">
            <div class="row">
              <div class="col-6 offset-6 my-2">
                <label>تعداد اتاق خواب</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'bedroomNum');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="bedroom-number" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'bedroomNum');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-6 my-2">
                <label>متراژ ساختمان (متر مربع)</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'houseArea');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="house-area" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'houseArea');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-6 my-2">
                <label>متراژ زمین (متر مربع)</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'groundArea');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="ground-area" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'groundArea');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-6 my-2">
                <label>ظرفیت استاندارد</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'standardSpace');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="standard-space" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'standardSpace');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-6 my-2">
                <label>حداکثر ظرفیت</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'maxSpace');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="maximum-space" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'maxSpace');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-6 my-2">
                <label>تعداد تخت یکنفره</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'singleBedNum');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="single-bed" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'singleBedNum');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-6 my-2">
                <label>تعداد تخت دونفره</label>
                <div class="input-group" dir="ltr">
                  <div class="input-group-prepend">
                    <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'doubleBedNum');">
                      <i class="fas fa-minus"></i>
                    </div>
                  </div>
                  <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="double-bed" onchange="validCheck(event, 'space');" onkeyup="validCheck(event, 'space');">
                  <div class="input-group-append">
                    <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'doubleBedNum');">
                      <i class="fas fa-plus"></i>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="placeDetails" role="tabpanel" aria-labelledby="place-details-tab">
          <form class="text-right">
            <div class="row mr-3 my-5">
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="wild" name="wild" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="wild">جنگلی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="mountainous" name="mountainous" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="mountainous">کوهستانی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="desert" name="desert" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="desert">کویری</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="beach" name="beach" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="beach">ساحلی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="in-city" name="in-city" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="in-city">درون شهری</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="historical" name="historical" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="historical">بنای تاریخی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="country" name="country" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="country">روستایی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="up-country" name="up-country" onchange="validCheck(event, 'placeDetails');">
                <label class="custom-control-label" for="up-country">ییلاقی</label>
              </div>
            </div>
            <div class="form-group mt-3">
              <label>توضیحات</label>
              <textarea class="form-control" onkeyup="validCheck(event, 'placeDetails');" name="about-texture"></textarea>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="facilities" role="tabpanel" aria-labelledby="facilities-tab">
          <form class="text-right">
            <div class="row mr-3 my-5">
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="gas-cooler" name="gas-cooler" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="gas-cooler">کولر گازی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="water-cooler" name="water-cooler" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="water-cooler">کولر آبی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="heater" name="heater" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="heater">گرمایش</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="wireless-net" name="wireless-net" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="wireless-net">اینترنت وایرلس</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="closed-pool" name="closed-pool" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="closed-pool">استخر سرپوشیده</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="open-pool" name="open-pool" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="open-pool">استخر سرباز</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="elevator" name="elevator" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="elevator">آسانسور</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="terrace" name="terrace" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="terrace">تراس</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="foreign-toilet" name="foreign-toilet" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="foreign-toilet">سرویس فرنگی</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="parking" name="parking" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="parking">پارکینگ</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="bbq" name="bbq" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="bbq">باربیکیو</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="tv" name="tv" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="tv">تلویزیون</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="breakfast" name="breakfast" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="breakfast">صبحانه</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="shower" name="shower" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="shower">حمام</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="receiver" name="receiver" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="receiver">گیرنده‌ی دیجیتال</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="furniture" name="furniture" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="furniture">مبلمان</label>
              </div>
              <div class="custom-control custom-checkbox col-3 my-2">
                <input type="checkbox" class="custom-control-input" id="cooking-stuff" name="cooking-stuff" onchange="validCheck(event, 'facilities');">
                <label class="custom-control-label" for="cooking-stuff">تجهیزات آشپزی</label>
              </div>
            </div>
            <div class="form-group mt-3">
              <label>توضیحات</label>
              <textarea class="form-control" onkeyup="validCheck(event, 'facilities');" name="about-facilities"></textarea>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="rules" role="tabpanel" aria-labelledby="rules-tab">
          <form class="text-center">
            <div class="form-group">
              <label>ساعت ورود</label>
              <div class="clockpicker" data-placement="left" data-align="top" data-autoclose="true">
                <input type="text" class="form-control text-center w-50 mx-auto" value="14:00" dir="rtl" name="enter-time" onchange="validCheck(event, 'rules');" onkeyup="validCheck(event, 'rules');">
              </div>
            </div>
            <div class="form-group">
              <label>ساعت خروج</label>
              <div class="clockpicker" data-placement="left" data-align="top" data-autoclose="true">
                <input type="text" class="form-control text-center w-50 mx-auto" value="12:00" dir="rtl" name="exit-time" onchange="validCheck(event, 'rules');" onkeyup="validCheck(event, 'rules');">
              </div>
            </div>
            <div class="form-group">
              <label>حداقل تعداد روز رزرو</label>
              <div class="input-group w-50 mx-auto" dir="ltr">
                <div class="input-group-prepend">
                  <div class="input-group-text custom-cursor-pointer" onclick="decreaseNum(event, 'minReserve');">
                    <i class="fas fa-minus"></i>
                  </div>
                </div>
                <input type="number" min="0" class="form-control text-center" value="0" dir="rtl" name="minimum-guest-number" onchange="validCheck(event, 'rules');" onkeyup="validCheck(event, 'rules');">
                <div class="input-group-append">
                  <div class="input-group-text custom-cursor-pointer" onclick="increaseNum(event, 'minReserve');">
                    <i class="fas fa-plus"></i>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group text-right">
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="can-party" name="can-party" onchange="validCheck(event, 'rules');">
                <label class="custom-control-label" for="can-party">امکان برگزاری مراسم</label>
              </div>
              <div class="custom-control custom-checkbox my-2">
                <input type="checkbox" class="custom-control-input" id="can-bring-pets" name="can-bring-pets" onchange="validCheck(event, 'rules');">
                <label class="custom-control-label" for="can-bring-pets">امکان ورود حیوانات خانگی</label>
              </div>
            </div>
            <div class="form-group text-right">
              <label>قوانین شما</label>
              <textarea class="form-control" name="custom-rules" onkeyup="validCheck(event, 'rules');"></textarea>
            </div>
          </form>
        </div>
        <div class="tab-pane fade" id="price" role="tabpanel" aria-labelledby="price-tab">
          <form class="text-right">
            <div class="row">
              <div class="form-group col-6">
                <label>قیمت وسط هفته (شنبه تا سه شنبه ) - تومان</label>
                <input type="number" min="0" class="form-control" value="0" name="standard-price" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="form-group col-6">
                <label>قیمت آخر هفته (چهارشنبه تا جمعه) - تومان</label>
                <input type="number" min="0" class="form-control" value="0" name="weekend-price" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="form-group col-6">
                <label>قیمت پیک (تعطیلات خاص و ایام شلوغ) - تومان</label>
                <input type="number" min="0" class="form-control" value="0" name="peak-price" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="form-group col-6">
                <label>قیمت هر نفر اضافه (به ازای هر شب) - تومان</label>
                <input type="number" min="0" class="form-control" value="0" name="extra-price" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
            </div>
            <p class="text-small">۱۰٪ از جمع مبلغ اعلام شده در هنگام رزروبه عنوان خدمات سایت کسر می‌شود</p>
            <br>
            <div class="row m-0">
              <div class="col-4 p-0">
                <h6 class="d-inline-block">تخفیف رزرو طولانی یک:</h6>
                <p class="d-inline-block">بالای</p>
              </div>
              <div class="form-group col-1 p-0">
                <input type="number" class="form-control text-center" min="0" name="discount-1-day" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="col-1 p-0 text-center">
                <label>روز</label>
              </div>
              <div class="form-group col-1 p-0">
                <input type="number" class="form-control text-center" min="0" name="discount-1-discount" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="col-1 p-0 text-center">
                <label>درصد</label>
              </div>
            </div>
            <div class="row m-0">
              <div class="col-4 p-0">
                <h6 class="d-inline-block">تخفیف رزرو طولانی دو:</h6>
                <p class="d-inline-block">بالای</p>
              </div>
              <div class="form-group col-1 p-0">
                <input type="number" class="form-control text-center" min="0" name="discount-2-day" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="col-1 p-0 text-center">
                <label>روز</label>
              </div>
              <div class="form-group col-1 p-0">
                <input type="number" class="form-control text-center" min="0" name="discount-2-discount" onchange="validCheck(event, 'price');" onkeyup="validCheck(event, 'price');">
              </div>
              <div class="col-1 p-0 text-center">
                <label>درصد</label>
              </div>
            </div>
          </form>
        </div>
      </div>
      <div class="register-navs px-4">
        <div class="register-navs-back float-right">
          <a href="#" onclick="registerNavsBack(event);" class="disabled"><i class="fas fa-chevron-right"></i></a>
        </div>
        <div class="register-navs-next float-left">
          <a href="#" onclick="registerNavsNext(event, 'next');" class="disabled"><i class="fas fa-chevron-left"></i></a>
        </div>
        <div class="register-navs-finish float-left d-none">
          <a href="#" onclick="registerNavsNext(event, 'finish');" class="disabled"><i class="fas fa-check"></i></a>
        </div>
        <div class="clearfix"></div>
      </div>
    </section>

    <%- include("partials/footer") %>

    <script>
      $('.clockpicker').clockpicker();

      var uploadedImages = [];

      function registerNavsNext (e, func) {
        console.log("REGISTER NAVS NEXT CALLED");
        console.log(e);

        e.preventDefault();

        var navLink;

        if (func == "next") {
          navLink = $(".register-navs-next a");
        } else {
          navLink = $(".register-navs-finish a");
        }

        var activeTab = $(".register .nav-item.active a").attr("href").slice(1);
        var nextValid = true;
        var payload;

        console.log(!navLink.hasClass("disabled"));

        if (!navLink.hasClass("disabled")) {
          console.log(activeTab);
          switch (activeTab) {
            case "pics":
              if (uploadedImages.length == 0) {
                nextValid = false;
              }

              console.log(nextValid);

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "init" //THIS IS WHERE UPLOADING IMAGES IS HANDLED
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    localStorage.setItem("house_id", data.house_id);

                    $(".register .nav-item a[href='#pics']").parent().addClass("done");
                    $(".register .nav-item a[href='#pics']").parent().removeClass("active");
                    $(".register .nav-item a[href='#address']").parent().addClass("active");
                    $(".register .nav-item a[href='#pics']").addClass("disabled");
                    $(".register .nav-item a[href='#address']").removeClass("disabled");
                    $(".register .nav-item a[href='#address']").tab("show");
                    if (!$(".register .nav-item a[href='#address']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#address']").parent().addClass("in-progress");
                      navLink.addClass("disabled");
                    }
                    $(".register-navs-back a").removeClass("disabled");
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "address":
              nextValid = isValid("address");

              console.log(nextValid);

              payload = {
                title: $("input[name='title']").val(),
                city: $("input[name='city']").val(),
                address: $("textarea[name='address']").val(),
                region: $(".region-select").children("option:selected").attr("value"),
                village: $("input[name='village']").val()
              }

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    $(".register .nav-item a[href='#address']").parent().addClass("done");
                    $(".register .nav-item a[href='#address']").parent().removeClass("active");
                    $(".register .nav-item a[href='#houseDetails']").parent().addClass("active");
                    $(".register .nav-item a[href='#address']").addClass("disabled");
                    $(".register .nav-item a[href='#houseDetails']").removeClass("disabled");
                    $(".register .nav-item a[href='#houseDetails']").tab("show");
                    if (!$(".register .nav-item a[href='#houseDetails']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#houseDetails']").parent().addClass("in-progress");
                      navLink.addClass("disabled");
                    }
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "houseDetails":
              nextValid = isValid("houseDetails");

              console.log(nextValid);

              payload = {
                building_kind: $(".house-kind-select").children("option:selected").attr("value"),
                house_kind_option: {
                  exclusive: $("input[name='exclusive']").is(":checked"),
                  in_town: $("input[name='in-town']").is(":checked"),
                  with_janitor: $("input[name='with-janitor']").is(":checked"),
                  shared_yard: $("input[name='shared-yard']").is(":checked"),
                  exclusive_yard: $("input[name='exclusive-yard']").is(":checked")
                },
                about_house: $("textarea[name='about-house']").val()
              }

              console.log(payload);

              if (nextValid) {
                console.log("UP TO HERE");
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    $(".register .nav-item a[href='#houseDetails']").parent().addClass("done");
                    $(".register .nav-item a[href='#houseDetails']").parent().removeClass("active");
                    $(".register .nav-item a[href='#space']").parent().addClass("active");
                    $(".register .nav-item a[href='#houseDetails']").addClass("disabled");
                    $(".register .nav-item a[href='#space']").removeClass("disabled");
                    $(".register .nav-item a[href='#space']").tab("show");
                    if (!$(".register .nav-item a[href='#space']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#space']").parent().addClass("in-progress");
                      navLink.addClass("disabled");
                    }
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "space":
              nextValid = isValid("space");

              console.log(nextValid);

              payload = {
                standard_space: $("input[name='standard-space']").val(),
                maximum_space: $("input[name='maximum-space']").val(),
                bedrooms: $("input[name='bedroom-number']").val(),
                house_area: $("input[name='house-area']").val(),
                ground_area: $("input[name='ground-area']").val(),
                single_bed: $("input[name='single-bed']").val(),
                double_bed: $("input[name='double-bed']").val()
              }

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    $(".register .nav-item a[href='#space']").parent().addClass("done");
                    $(".register .nav-item a[href='#space']").parent().removeClass("active");
                    $(".register .nav-item a[href='#placeDetails']").parent().addClass("active");
                    $(".register .nav-item a[href='#space']").addClass("disabled");
                    $(".register .nav-item a[href='#placeDetails']").removeClass("disabled");
                    $(".register .nav-item a[href='#placeDetails']").tab("show");
                    if (!$(".register .nav-item a[href='#placeDetails']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#placeDetails']").parent().addClass("in-progress");
                      navLink.addClass("disabled");
                    }
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "placeDetails":
              nextValid = isValid("placeDetails");

              console.log(nextValid);

              payload = {
                about_texture: $("textarea[name='about-texture']").val(),
                texture: {
                  wild: $("input[name='wild']").is(":checked"),
                  mountainous: $("input[name='mountainous']").is(":checked"),
                  desert: $("input[name='desert']").is(":checked"),
                  beach: $("input[name='beach']").is(":checked"),
                  in_city: $("input[name='in-city']").is(":checked"),
                  historical: $("input[name='historical']").is(":checked"),
                  country: $("input[name='country']").is(":checked"),
                  up_country: $("input[name='up-country']").is(":checked")
                }
              }

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    $(".register .nav-item a[href='#placeDetails']").parent().addClass("done");
                    $(".register .nav-item a[href='#placeDetails']").parent().removeClass("active");
                    $(".register .nav-item a[href='#facilities']").parent().addClass("active");
                    $(".register .nav-item a[href='#placeDetails']").addClass("disabled");
                    $(".register .nav-item a[href='#facilities']").removeClass("disabled");
                    $(".register .nav-item a[href='#facilities']").tab("show");
                    if (!$(".register .nav-item a[href='#facilities']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#facilities']").parent().addClass("in-progress");
                      navLink.addClass("disabled");
                    }
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "facilities":
              nextValid = isValid("facilities");

              console.log(nextValid);

              payload = {
                about_facilities: $("textarea[name='about-facilities']").val(),
                facilities: {
                  gas_cooler: $("input[name='gas-cooler']").is(":checked"),
                  water_cooler: $("input[name='water-cooler']").is(":checked"),
                  heater: $("input[name='heater']").is(":checked"),
                  wireless_net: $("input[name='wireless-net']").is(":checked"),
                  closed_pool: $("input[name='closed-pool']").is(":checked"),
                  open_pool: $("input[name='open-pool']").is(":checked"),
                  elevator: $("input[name='elevator']").is(":checked"),
                  terrace: $("input[name='terrace']").is(":checked"),
                  foreign_toilet: $("input[name='foreign-toilet']").is(":checked"),
                  parking: $("input[name='parking']").is(":checked"),
                  bbq: $("input[name='bbq']").is(":checked"),
                  tv: $("input[name='tv']").is(":checked"),
                  breakfast: $("input[name='breakfast']").is(":checked"),
                  shower: $("input[name='shower']").is(":checked"),
                  receiver: $("input[name='receiver']").is(":checked"),
                  furniture: $("input[name='furniture']").is(":checked"),
                  cooking_stuff: $("input[name='cooking-stuff']").is(":checked")
                }
              }

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    $(".register .nav-item a[href='#facilities']").parent().addClass("done");
                    $(".register .nav-item a[href='#facilities']").parent().removeClass("active");
                    $(".register .nav-item a[href='#rules']").parent().addClass("active");
                    $(".register .nav-item a[href='#facilities']").addClass("disabled");
                    $(".register .nav-item a[href='#rules']").removeClass("disabled");
                    $(".register .nav-item a[href='#rules']").tab("show");
                    if (!$(".register .nav-item a[href='#rules']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#rules']").parent().addClass("in-progress");
                      navLink.addClass("disabled");
                    }
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "rules":
              nextValid = isValid("rules");

              console.log(nextValid);

              payload = {
                minumum_reserve_number: $("input[name='minimum-guest-number']").val(),
                enter_time: $("input[name='enter-time']").val(),
                exit_time: $("input[name='exit-time']").val(),
                can_party: $("input[name='can-party']").is(":checked"),
                can_bring_pets: $("input[name='can-bring-pets']").is(":checked"),
                custom_rules: $("textarea[name='custom-rules']").val()
              }

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    $(".register .nav-item a[href='#rules']").parent().addClass("done");
                    $(".register .nav-item a[href='#rules']").parent().removeClass("active");
                    $(".register .nav-item a[href='#price']").parent().addClass("active");
                    $(".register .nav-item a[href='#rules']").addClass("disabled");
                    $(".register .nav-item a[href='#price']").removeClass("disabled");
                    $(".register .nav-item a[href='#price']").tab("show");
                    if (!$(".register .nav-item a[href='#price']").parent().hasClass("done")) {
                      $(".register .nav-item a[href='#price']").parent().addClass("in-progress");
                    }
                    $(".register-navs-next").addClass("d-none");
                    $(".register-navs-finish").removeClass("d-none")
                    if (isValid("price")) {
                      $(".register-navs-finish a").removeClass("disabled");
                    }
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            case "price":
              nextValid = isValid("price");

              console.log(nextValid);

              var d1MoreThan = $("input[name='discount-1-day']").val();
              var d2MoreThan = $("input[name='discount-2-day']").val();
              var d1Discount = $("input[name='discount-1-discount']").val();
              var d2Discount = $("input[name='discount-2-discount']").val();

              if (d1MoreThan == "") {
                d1MoreThan = 0;
              }

              if (d2MoreThan == "") {
                d2MoreThan = 0;
              }

              if (d1Discount == "") {
                d1Discount = 0;
              }

              if (d2Discount == "") {
                d2Discount = 0;
              }

              payload = {
                normal_price: $("input[name='standard-price']").val(),
                weeked_price: $("input[name='weekend-price']").val(),
                peak_price: $("input[name='peak-price']").val(),
                extra_price: $("input[name='extra-price']").val(),
                discount_1: {
                  more_than: d1MoreThan,
                  discount: d1Discount
                },
                discount_2: {
                  more_than: d2MoreThan,
                  discount: d2Discount
                },
                data_complete: true,
                active: true
              }

              if (nextValid) {
                $.ajax({
                  method: "POST",
                  url: "/register",
                  dataType: "json",
                  data : {
                    stage: "update",
                    house_id: localStorage.getItem("house_id"),
                    payload: payload
                  },

                  success: function (data) {
                    console.log("REGISTER POST INIT SUCCESSFUL");
                    console.log(data);

                    window.location.href = "/house/" + localStorage.getItem("house_id");
                  },

                  error: function (err) {
                    console.log("POST REQUEST ERROR");
                    console.log(err);
                  }
                });
              }
              break;

            default:
              console.log("NEXT DEFAULT");
              break;
          }
        };
      }

      function registerNavsBack (e) {
        console.log("REGISTER NAVS NEXT CALLED");
        console.log(e);

        e.preventDefault();

        var navLink = $(".register-navs-back a");

        var activeTab = $(".register .nav-item.active a").attr("href").slice(1);

        console.log(!navLink.hasClass("disabled"));

        if (!navLink.hasClass("disabled")) {
          switch (activeTab) {
            case "address":
              console.log(activeTab);

              $(".register .nav-item a[href='#address']").parent().removeClass("active");
              $(".register .nav-item a[href='#pics']").parent().addClass("active");
              $(".register .nav-item a[href='#address']").addClass("disabled");
              $(".register .nav-item a[href='#pics']").removeClass("disabled");
              $(".register .nav-item a[href='#pics']").tab("show");
              $(".register-navs-next a").removeClass("disabled");
              navLink.addClass("disabled");
              break;

            case "houseDetails":
              console.log(activeTab);

              $(".register .nav-item a[href='#houseDetails']").parent().removeClass("active");
              $(".register .nav-item a[href='#address']").parent().addClass("active");
              $(".register .nav-item a[href='#houseDetails']").addClass("disabled");
              $(".register .nav-item a[href='#address']").removeClass("disabled");
              $(".register .nav-item a[href='#address']").tab("show");
              $(".register-navs-next a").removeClass("disabled");
              break;

            case "space":
              console.log(activeTab);

              $(".register .nav-item a[href='#space']").parent().removeClass("active");
              $(".register .nav-item a[href='#houseDetails']").parent().addClass("active");
              $(".register .nav-item a[href='#space']").addClass("disabled");
              $(".register .nav-item a[href='#houseDetails']").removeClass("disabled");
              $(".register .nav-item a[href='#houseDetails']").tab("show");
              $(".register-navs-next a").removeClass("disabled");
              break;

            case "placeDetails":
              console.log(activeTab);

              $(".register .nav-item a[href='#placeDetails']").parent().removeClass("active");
              $(".register .nav-item a[href='#space']").parent().addClass("active");
              $(".register .nav-item a[href='#placeDetails']").addClass("disabled");
              $(".register .nav-item a[href='#space']").removeClass("disabled");
              $(".register .nav-item a[href='#space']").tab("show");
              $(".register-navs-next a").removeClass("disabled");
              break;

            case "facilities":
              console.log(activeTab);

              $(".register .nav-item a[href='#facilities']").parent().removeClass("active");
              $(".register .nav-item a[href='#placeDetails']").parent().addClass("active");
              $(".register .nav-item a[href='#facilities']").addClass("disabled");
              $(".register .nav-item a[href='#placeDetails']").removeClass("disabled");
              $(".register .nav-item a[href='#placeDetails']").tab("show");
              $(".register-navs-next a").removeClass("disabled");
              break;

            case "rules":
              console.log(activeTab);

              $(".register .nav-item a[href='#rules']").parent().removeClass("active");
              $(".register .nav-item a[href='#facilities']").parent().addClass("active");
              $(".register .nav-item a[href='#rules']").addClass("disabled");
              $(".register .nav-item a[href='#facilities']").removeClass("disabled");
              $(".register .nav-item a[href='#facilities']").tab("show");
              $(".register-navs-next a").removeClass("disabled");
              break;

            case "price":
              console.log(activeTab);

              $(".register .nav-item a[href='#price']").parent().removeClass("active");
              $(".register .nav-item a[href='#rules']").parent().addClass("active");
              $(".register .nav-item a[href='#price']").addClass("disabled");
              $(".register .nav-item a[href='#rules']").removeClass("disabled");
              $(".register .nav-item a[href='#rules']").tab("show");
              $(".register-navs-next a").removeClass("disabled");

              $(".register-navs-finish").addClass("d-none")
              $(".register-navs-next").removeClass("d-none");
              break;

            default:
              console.log("NEXT DEFAULT");
              break;
          }
        };
      }

      function houseImageUploaded (e) {
        console.log("HOUSE IMAGE UPLOADED");
        // console.log(e.target);
        console.log(e.target.files);

        var rawFiles = e.target.files;
        var imageContainer = `<div class="col-3" style="background-image: url('/images/landing5.jpg');"></div>`
        var imagesContainer = $(".register-uploaded-pics");
        var rawInput = [];
        var images = [];

        if (rawFiles && rawFiles.length > 0) {
          console.log("FILES EXISTS");

          // var reader = new FileReader();

          // reader.onload = function (e) {
          //   console.log("IN ON LOAD");
          //   console.log(e.target.result);
          //   imagesContainer.append(`<div class="col-3" style="background-image: url(` + e.target.result + `);"></div>`)
          // };

          for (i = 0; i < rawFiles.length; i++) {
            rawInput.push(rawFiles[i]);
          }

          rawInput.map(function (img) {
            if (img.type.slice(0, 5) == "image") {
              images.push(img);
            } else {
              console.log("file not img");
            }
          })

          images.map(function (img) {
            if (uploadedImages.length == 0) {
              uploadedImages.push({
                name: img.name,
                content: img,
                shown: false
              })
            } else {
              var repeated;

              uploadedImages.map(function (uImg) {
                if (uImg.name == img.name) {
                  repeated = true;
                }
              })

              if (!repeated) {
                uploadedImages.push({
                  name: img.name,
                  content: img,
                  shown: false
                })
              }
            }
          })

          if (uploadedImages.length > 0) {
            uploadedImages.map(function (img) {
              if (img.shown == false) {
                uploadedImages[uploadedImages.indexOf(img)]["shown"] = true;

                var reader = new FileReader();

                reader.onload = function (e) {
                  console.log("IN ON LOAD");
                  // console.log(e.target.result);
                  imagesContainer.append(`<div class="col-3" style="background-image: url(` + e.target.result + `);"></div>`)
                };

                reader.readAsDataURL(img.content);
              }
            })
          }
        }

        if (uploadedImages.length > 0) {
          $(".register-navs-next a").removeClass("disabled");
        }
      }

      function validCheck (e, stage) {
        var isStageValid = isValid(stage);

        if (isStageValid) {
          if (stage == "price") {
            $(".register-navs-finish a").removeClass("disabled");
          } else {
            $(".register-navs-next a").removeClass("disabled");
          }
        } else {
          if (stage == "price") {
            $(".register-navs-finish a").addClass("disabled");
          } else {
            $(".register-navs-next a").addClass("disabled");
          }
        }
      }

      function isValid (stage) {
        var isValid = false;

        switch (stage) {
          case "address":
            var title = $("input[name='title']").val();
            var city = $("input[name='city']").val();
            var address = $("textarea[name='address']").val();
            var region = $(".region-select").children("option:selected").attr("value");

            if (
              title != "" &&
              city != "" &&
              address != "" &&
              region
            ) {
              isValid = true;
            }
            break;

          case "houseDetails":
            var kind = $(".house-kind-select").children("option:selected").attr("value");
            var exclusive = $("input[name='exclusive']").is(":checked");
            var inTown = $("input[name='in-town']").is(":checked");
            var withJanitor = $("input[name='with-janitor']").is(":checked");
            var sharedYard = $("input[name='shared-yard']").is(":checked");
            var exclusiveYard = $("input[name='exclusive-yard']").is(":checked");

            if (
              kind &&
              (
                exclusive != false ||
                inTown != false ||
                withJanitor != false ||
                sharedYard != false ||
                exclusiveYard != false
              )
            ) {
              isValid = true;
            }
            break;

          case "space":
            var standardSpace = $("input[name='standard-space']").val();
            var maxSpace = $("input[name='maximum-space']").val();

            if (
              standardSpace != 0 &&
              maxSpace != 0
            ) {
              isValid = true;
            }
            break;

          case "placeDetails":
            var wild = $("input[name='wild']").is(":checked");
            var mountainous = $("input[name='mountainous']").is(":checked");
            var desert = $("input[name='desert']").is(":checked");
            var beach = $("input[name='beach']").is(":checked");
            var inCity = $("input[name='in-city']").is(":checked");
            var historical = $("input[name='historical']").is(":checked");
            var country = $("input[name='country']").is(":checked");
            var upCountry = $("input[name='up-country']").is(":checked");

            if (
              wild != false ||
              mountainous != false ||
              desert != false ||
              beach != false ||
              inCity != false ||
              historical != false ||
              country != false ||
              upCountry != false
            ) {
              isValid = true;
            }
            break;

          case "facilities":
            var gasCooler = $("input[name='gas-cooler']").is(":checked");
            var waterCooler = $("input[name='water-cooler']").is(":checked");
            var heater = $("input[name='heater']").is(":checked");
            var wirelessNet = $("input[name='wireless-net']").is(":checked");
            var closedPool = $("input[name='closed-pool']").is(":checked");
            var openPool = $("input[name='open-pool']").is(":checked");
            var elevator = $("input[name='elevator']").is(":checked");
            var terrace = $("input[name='terrace']").is(":checked");
            var foreignToilet = $("input[name='foreign-toilet']").is(":checked");
            var parking = $("input[name='parking']").is(":checked");
            var bbq = $("input[name='bbq']").is(":checked");
            var tv = $("input[name='tv']").is(":checked");
            var breakfast = $("input[name='breakfast']").is(":checked");
            var shower = $("input[name='shower']").is(":checked");
            var receiver = $("input[name='receiver']").is(":checked");
            var furniture = $("input[name='furniture']").is(":checked");
            var cookingStuff = $("input[name='cooking-stuff']").is(":checked");

            if (
              gasCooler != false ||
              waterCooler != false ||
              heater != false ||
              wirelessNet != false ||
              closedPool != false ||
              openPool != false ||
              elevator != false ||
              terrace != false ||
              foreignToilet != false ||
              parking != false ||
              bbq != false ||
              tv != false ||
              breakfast != false ||
              shower != false ||
              receiver != false ||
              furniture != false ||
              cookingStuff != false
            ) {
              isValid = true;
            }
            break;

          case "rules":
            var minGuest = $("input[name='minimum-guest-number']").val();
            var enterTime = $("input[name='enter-time']").val();
            var exitTime = $("input[name='exit-time']").val();

            if (
              minGuest != 0 &&
              enterTime.match(/[0-9]?[0-9]:[0-9]?[0-9]/) != null &&
              exitTime.match(/[0-9]?[0-9]:[0-9]?[0-9]/) != null
            ) {
              isValid = true;
            }
            break;

          case "price":
            var standardPrice = $("input[name='standard-price']").val();
            var weekendPrice = $("input[name='weekend-price']").val();
            var peakPrice = $("input[name='peak-price']").val();
            var extraPrice = $("input[name='extra-price']").val();

            if (
              standardPrice != 0 &&
              weekendPrice != 0 &&
              peakPrice != 0 &&
              extraPrice != 0 &&
              standardPrice != "" &&
              weekendPrice != "" &&
              peakPrice != "" &&
              extraPrice != ""
            ) {
              isValid = true;
            }
            break;

          default:
            console.log("IS VALID DEFAULT");
            break;
        }

        return isValid;
      }

      function increaseNum (e, target) {
        console.log(target);
        var input;

        switch (target) {
          case "bedroomNum":
            input = $("input[name='bedroom-number']");
            break;

          case "houseArea":
            input = $("input[name='house-area']");
            break;

          case "groundArea":
            input = $("input[name='ground-area']");
            break;

          case "standardSpace":
            input = $("input[name='standard-space']");
            break;

          case "maxSpace":
            input = $("input[name='maximum-space']");
            break;

          case "singleBedNum":
            input = $("input[name='single-bed']");
            break;

          case "doubleBedNum":
            input = $("input[name='double-bed']");
            break;

          case "minReserve":
            input = $("input[name='minimum-guest-number']");
            break;

          default:
            console.log("INCREASE NUM DEFAULT");
            break;
        }

        if (input.val() == "") {
          input.val(1);
        } else {
          input.val(parseInt(input.val()) + 1);
        }
      }

      function decreaseNum (e, target) {
        console.log(target);
        var input;

        switch (target) {
          case "bedroomNum":
            input = $("input[name='bedroom-number']");
            break;

          case "houseArea":
            input = $("input[name='house-area']");
            break;

          case "groundArea":
            input = $("input[name='ground-area']");
            break;

          case "standardSpace":
            input = $("input[name='standard-space']");
            break;

          case "maxSpace":
            input = $("input[name='maximum-space']");
            break;

          case "singleBedNum":
            input = $("input[name='single-bed']");
            break;

          case "doubleBedNum":
            input = $("input[name='double-bed']");
            break;

          case "minReserve":
            input = $("input[name='minimum-guest-number']");
            break;

          default:
            console.log("DECREASE NUM DEFAULT");
            break;
        }

        if (input.val() == "") {
          input.val(0);
        } else if (input.val() != 0) {
          input.val(parseInt(input.val()) - 1);
        }
      }
    </script>

  </body>
</html>
